Bug 448850 - Overview desktop thumbnails and their zoom-in transition erroneously show minimized windows for a moment
Summary: Overview desktop thumbnails and their zoom-in transition erroneously show min...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-overview (show other bugs)
Version: git master
Platform: Neon Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-20 20:12 UTC by Mahe
Modified: 2022-02-10 22:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.1


Attachments
screen recording of effects-overview behavior with minimized windows (2.13 MB, video/mp4)
2022-01-20 20:12 UTC, Mahe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mahe 2022-01-20 20:12:45 UTC
Created attachment 145676 [details]
screen recording of effects-overview behavior with minimized windows

SUMMARY
Desktop thumbnails at the top of the Overview will show windows even if they are minimized and aren't actually visible on that desktop outside of the Overview. This also affects the zoom-in transition when clicking and activating such desktop thumbnail, which will show those windows for the duration of the animation.


STEPS TO REPRODUCE
1. enable Overview effect
2. open two different windows on the same desktop (e.g. Dolphin and System Settings)
3. minimize one of the windows
4. trigger Overview
5. click the desktop thumbnail at the top of the desktop where the minimized window is 

OBSERVED RESULT
First, the desktop thumbnail at the top in Overview shows a preview of the desktop with all minimized windows visible, i.e. not representing the actual visual state of that desktop.
Second, clicking the desktop thumbnail of a desktop containing minimized windows, will show the minimized windows during the zoom-in transition up to the very last frame of the animation - after which those windows will simply disappear in a split of a second.

EXPECTED RESULT
Desktop thumbnails at the top of Overview should represent the actual visual state of the desktop by not displaying minimized windows. Accordingly, the zoom-in animation when clicking a desktop thumbnail to activate a desktop should not display minimized windows either and visually transition into the actual state of the desktop.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Comment 1 Nate Graham 2022-01-21 00:39:22 UTC
Can confirm.
Comment 2 Bug Janitor Service 2022-02-09 22:21:33 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1989
Comment 3 Vlad Zahorodnii 2022-02-10 08:13:45 UTC
Git commit ed670377c8caa9722c1f8eba29d40cf19cea4ba7 by Vlad Zahorodnii.
Committed on 10/02/2022 at 07:23.
Pushed by vladz into branch 'master'.

effects/overview: Don't show minimized windows in desktop thumbnails

M  +1    -0    src/effects/overview/qml/DesktopView.qml

https://invent.kde.org/plasma/kwin/commit/ed670377c8caa9722c1f8eba29d40cf19cea4ba7
Comment 4 Vlad Zahorodnii 2022-02-10 08:14:44 UTC
Git commit 59154b710fa86d729125b0955c92b9664b14b43c by Vlad Zahorodnii.
Committed on 10/02/2022 at 08:14.
Pushed by vladz into branch 'Plasma/5.24'.

effects/overview: Don't show minimized windows in desktop thumbnails


(cherry picked from commit ed670377c8caa9722c1f8eba29d40cf19cea4ba7)

M  +1    -0    src/effects/overview/qml/DesktopView.qml

https://invent.kde.org/plasma/kwin/commit/59154b710fa86d729125b0955c92b9664b14b43c